import { Rect, Resources, Sprite, Texture2D, Transform, Vector2 } from 'UnityEngine';
import { Image } from 'UnityEngine.UI';
import { ZepetoScriptBehaviour } from 'ZEPETO.Script'

export default class Test extends ZepetoScriptBehaviour {
    public image: Image;
    Start() {
        const sp = Resources.Load<Sprite>("game-center-og");
        console.log(`Resources.Load test ${sp}`);
        this.image.sprite = sp;
        // 위의 문제 해결 방법 위 코드 대신 아래 코드 주석 풀고 사용
        // const tex = Resources.Load<Texture2D>("game-center-og");
        // console.log(`Resources.Load test ${tex}`);
        // this.image.sprite = Sprite.Create(tex, new Rect(0.0, 0.0, tex.width, tex.height), new Vector2(0.5, 0.5), 100.0);
    }

}